#!/bin/sh
export DBUS_SESSION_BUS_ADDRESS="unix:path=/var/run/dbus/system_bus_socket" #add by czn
#sleep 8 #Ignore by hzq 

#system
#/etc/init.d/udevd.sh start #Ignore by hzq ;because it has used mdev.
/etc/init.d/vsftpd start &
#/etc/init.d/thttpd start &
depmod
modprobe gpio_en
sleep 1
#lyj add:Use get_bt_id program to get the Bluetooth ID number. 
/mnt/platform/sbin/get_bt_id -u /dev/ttyO3 -n texas
case $? in
#wg7311 -> 0
#wg7833 -> 1
	0)
	#install wifi adn bt mode
	wifi_num=0
	echo "start install wifi and bluetooth modules! The module detected is wg7311."
	echo "wg7311" > /var/wifi_name 
	insmod /mnt/platform/lib/modules/3.2.0+/updates/compat/compat.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/net/wireless/cfg80211.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/net/mac80211/mac80211.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/drivers/net/wireless/ti/wlcore/wlcore.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/drivers/net/wireless/ti/wlcore/wlcore_sdio.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/drivers/net/wireless/ti/wl12xx/wl12xx.ko
	
	insmod /mnt/platform/lib/modules/3.2.0+/updates/net/bluetooth/bluetooth.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/drivers/bluetooth/hci_uart.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/net/bluetooth/bnep/bnep.ko
	insmod /mnt/platform/lib/modules/3.2.0+/updates/net/bluetooth/rfcomm/rfcomm.ko
		;;
	1)
	wifi_num=1
	echo "start install wifi and bluetooth modules! The module detected is wg7833"
	echo "wg7833" > /var/wifi_name 
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/compat/compat_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/net/wireless/cfg80211_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/net/mac80211/mac80211_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/drivers/net/wireless/ti/wlcore/wlcore_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/drivers/net/wireless/ti/wlcore/wlcore_sdio_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/drivers/net/wireless/ti/wl18xx/wl18xx_wg7833.ko

	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/net/bluetooth/bluetooth_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/drivers/bluetooth/hci_uart_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/net/bluetooth/bnep/bnep_wg7833.ko
	insmod /mnt/platform/lib/modules/3.2.0+/wg7833/net/bluetooth/rfcomm/rfcomm_wg7833.ko
		;;
	*)
	echo "Get the wifi module id value is incorrect!"
		;;
esac	

modprobe mma8x5x
modprobe st_magn_i2c
#end by hzq
/mnt/platform/etc/init.d/dbus-1 start
/mnt/platform/etc/init.d/bluetooth start
/mnt/platform/bin/wpa_supplicant -B -i wlan0 -c /etc/wpa_supplicant.conf
wlanhw
obexd -a -f -o #add by czn

#wg7833 bluetooth protect
if [ $wifi_num -eq 1 ];then
	/etc/init.d/bluetooth_protect &
fi

udhcpc -i wlan0 -t 4 -b -q -s /etc/udhcpc.script &
ifconfig lo 127.0.0.1 up
