/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: http_ajax.js 
 *	Module Function : AJAX请求
 *  Created on		: 2016年12月13日
 *  Author	  		: admin
 *******************************************************************************/

/*******************************************************************************
 * 名称：AjaxRequest
 * 功能：ajax请求
 * 形参：url	->	GET方式数据
 * 		callback -> 回调函数
 * 返回：空
 * 说明：无
 ******************************************************************************/

function AjaxRequest(arg, callback) 
{
	
	var url = "/cgi-bin/linux-cgi.fcgi" + arg; /* arg表示?开始的参数 */
	var xhr = new XMLHttpRequest();

	xhr.onreadystatechange = function () {
		//		console.log(xhr);
		if (xhr.readyState == 4) { /* 200:Success.304:Tell browser to read cache. */
			if ((xhr.status >= 200 && xhr.status < 300) || xhr.status == 304) {
				if (callback === undefined || callback === null) {
					return;
				}
				callback(xhr.responseText); /* 执行回调函数  */
			} else {
				// alert(xhr.responseText);
			}
		}
	};

	xhr.onerror = function () {

		console.log("error for connected");

	};

	xhr.open("GET", url, true);
	xhr.send(null);
}

function Post(url, callback) 
{
	var fd = new FormData(); /* 表单数据  */
	fd.append("FileName", document.getElementById('FileName').files[0]); /* 追加 */

	var xhr = new XMLHttpRequest(); /* 建立请求  */

	xhr.upload.addEventListener("progress", uploadProgress, false); /* 进度条  */
	xhr.onreadystatechange = function () {
		if (xhr.readyState == 4) {
			if ((xhr.status >= 200 && xhr.status < 300) || xhr.status == 304) //200:Success.304:Tell browser to read cache.
			{
				if (callback === undefined || callback === null) {
					return;
				}
				callback(xhr.responseText); /* 运行回调函数 传入参数  */
			} else {
				// alert(xhr.responseText);
			}
		}
	};
	xhr.open("POST", url, true);
	xhr.send(fd);
}
